PACEMAKER(8)

NAME
Pacemaker - Part of the Pacemaker cluster resource manager

SYNOPSIS
crm_rule <mode> [options]

DESCRIPTION
evaluate rules from the Pacemaker configuration

OPTIONS

  Help Options:

-h, --help
    Show help options

--help-all
    Show all help options

--help-output
    Show output help

--help-modes
    Show modes of operation

--help-data
    Show data options

--help-additional
    Show additional options

  Output Options:

--output-as=FORMAT
    Specify output format as one of: text (default), xml

--output-to=DEST
    Specify file name for output (or "-" for stdout)

  Modes (mutually exclusive):

-c, --check
    Check whether a rule is in effect

  Data:

-X, --xml-text
    Use argument for XML (or stdin if '-')

  Additional Options:

-d, --date
    Whether the rule is in effect on a given date

-r, --rule
    The ID of the rule to check (may be specified multiple times)

  Application Options:

-$, --version
    Display software version and exit

-V, --verbose
    Increase debug output (may be specified multiple times)

AUTHOR
Written by Andrew Beekhof and the Pacemaker project contributors

REPORTING BUGS
Report bugs to https://bugs.clusterlabs.org/enter_bug.cgi?product=Pacemaker